Package com.ocient.jdbc.proto

# Class ClientWireProtocol.FetchSystemMetadata.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadata.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.FetchSystemMetadata.Builder

All Implemented Interfaces:
  `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `ClientWireProtocol.FetchSystemMetadataOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.FetchSystemMetadata

public static final class ClientWireProtocol.FetchSystemMetadata.Builder extends GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadata.Builder> implements ClientWireProtocol.FetchSystemMetadataOrBuilder
Protobuf type `xg.cmdcomp.FetchSystemMetadata`

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.FetchSystemMetadata`
`build()`
Constructs the message based on the state of the Builder.
`ClientWireProtocol.FetchSystemMetadata`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`ClientWireProtocol.FetchSystemMetadata.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`ClientWireProtocol.FetchSystemMetadata.Builder`
`clearCall()`
`.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`
`ClientWireProtocol.FetchSystemMetadata.Builder`
`clearColumn()`
`string column = 4;`
`ClientWireProtocol.FetchSystemMetadata.Builder`
`clearSchema()`
Parameters for calls
`ClientWireProtocol.FetchSystemMetadata.Builder`
`clearTable()`
`string table = 3;`
`ClientWireProtocol.FetchSystemMetadata.Builder`
`clearTest()`
whether to test against patterns
`ClientWireProtocol.FetchSystemMetadata.Builder`
`clearView()`
`string view = 5;`
`ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall`
`getCall()`
`.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`
`int`
`getCallValue()`
`.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`
`String`
`getColumn()`
`string column = 4;`
`ByteString`
`getColumnBytes()`
`string column = 4;`
`ClientWireProtocol.FetchSystemMetadata`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`String`
`getSchema()`
Parameters for calls
`ByteString`
`getSchemaBytes()`
Parameters for calls
`String`
`getTable()`
`string table = 3;`
`ByteString`
`getTableBytes()`
`string table = 3;`
`boolean`
`getTest()`
whether to test against patterns
`String`
`getView()`
`string view = 5;`
`ByteString`
`getViewBytes()`
`string view = 5;`
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`ClientWireProtocol.FetchSystemMetadata.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`ClientWireProtocol.FetchSystemMetadata.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`ClientWireProtocol.FetchSystemMetadata.Builder`
`mergeFrom(ClientWireProtocol.FetchSystemMetadata other)`
`final ClientWireProtocol.FetchSystemMetadata.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`ClientWireProtocol.FetchSystemMetadata.Builder`
`setCall(ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall value)`
`.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`
`ClientWireProtocol.FetchSystemMetadata.Builder`
`setCallValue(int value)`
`.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`
`ClientWireProtocol.FetchSystemMetadata.Builder`
`setColumn(String value)`
`string column = 4;`
`ClientWireProtocol.FetchSystemMetadata.Builder`
`setColumnBytes(ByteString value)`
`string column = 4;`
`ClientWireProtocol.FetchSystemMetadata.Builder`
`setSchema(String value)`
Parameters for calls
`ClientWireProtocol.FetchSystemMetadata.Builder`
`setSchemaBytes(ByteString value)`
Parameters for calls
`ClientWireProtocol.FetchSystemMetadata.Builder`
`setTable(String value)`
`string table = 3;`
`ClientWireProtocol.FetchSystemMetadata.Builder`
`setTableBytes(ByteString value)`
`string table = 3;`
`ClientWireProtocol.FetchSystemMetadata.Builder`
`setTest(boolean value)`
whether to test against patterns
`final ClientWireProtocol.FetchSystemMetadata.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.
`ClientWireProtocol.FetchSystemMetadata.Builder`
`setView(String value)`
`string view = 5;`
`ClientWireProtocol.FetchSystemMetadata.Builder`
`setViewBytes(ByteString value)`
`string view = 5;`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadata.Builder>`

### clear

public ClientWireProtocol.FetchSystemMetadata.Builder clear()
Description copied from class: `GeneratedMessageV3.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadata.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadata.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.FetchSystemMetadata getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public ClientWireProtocol.FetchSystemMetadata build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public ClientWireProtocol.FetchSystemMetadata buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public ClientWireProtocol.FetchSystemMetadata.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.FetchSystemMetadata.Builder>`

### mergeFrom

public ClientWireProtocol.FetchSystemMetadata.Builder mergeFrom(ClientWireProtocol.FetchSystemMetadata other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadata.Builder>`

### mergeFrom

public ClientWireProtocol.FetchSystemMetadata.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.FetchSystemMetadata.Builder>`
Throws:
  `InvalidProtocolBufferException` - the bytes read are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.
  `IOException` - an I/O error reading from the stream

### getCallValue

public int getCallValue()
`.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`

Specified by:
  `getCallValue` in interface `ClientWireProtocol.FetchSystemMetadataOrBuilder`
Returns:
  The enum numeric value on the wire for call.

### setCallValue

public ClientWireProtocol.FetchSystemMetadata.Builder setCallValue(int value)
`.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`

Parameters:
  `value` - The enum numeric value on the wire for call to set.
Returns:
  This builder for chaining.

### getCall

public ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall getCall()
`.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`

Specified by:
  `getCall` in interface `ClientWireProtocol.FetchSystemMetadataOrBuilder`
Returns:
  The call.

### setCall

public ClientWireProtocol.FetchSystemMetadata.Builder setCall(ClientWireProtocol.FetchSystemMetadata.SystemMetadataCall value)
`.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`

Parameters:
  `value` - The call to set.
Returns:
  This builder for chaining.

### clearCall

public ClientWireProtocol.FetchSystemMetadata.Builder clearCall()
`.xg.cmdcomp.FetchSystemMetadata.SystemMetadataCall call = 1;`

Returns:
  This builder for chaining.

### getSchema

public String getSchema()

     Parameters for calls

`string schema = 2;`

Specified by:
  `getSchema` in interface `ClientWireProtocol.FetchSystemMetadataOrBuilder`
Returns:
  The schema.

### getSchemaBytes

public ByteString getSchemaBytes()

     Parameters for calls

`string schema = 2;`

Specified by:
  `getSchemaBytes` in interface `ClientWireProtocol.FetchSystemMetadataOrBuilder`
Returns:
  The bytes for schema.

### setSchema

public ClientWireProtocol.FetchSystemMetadata.Builder setSchema(String value)

     Parameters for calls

`string schema = 2;`

Parameters:
  `value` - The schema to set.
Returns:
  This builder for chaining.

### clearSchema

public ClientWireProtocol.FetchSystemMetadata.Builder clearSchema()

     Parameters for calls

`string schema = 2;`

Returns:
  This builder for chaining.

### setSchemaBytes

public ClientWireProtocol.FetchSystemMetadata.Builder setSchemaBytes(ByteString value)

     Parameters for calls

`string schema = 2;`

Parameters:
  `value` - The bytes for schema to set.
Returns:
  This builder for chaining.

### getTable

public String getTable()
`string table = 3;`

Specified by:
  `getTable` in interface `ClientWireProtocol.FetchSystemMetadataOrBuilder`
Returns:
  The table.

### getTableBytes

public ByteString getTableBytes()
`string table = 3;`

Specified by:
  `getTableBytes` in interface `ClientWireProtocol.FetchSystemMetadataOrBuilder`
Returns:
  The bytes for table.

### setTable

public ClientWireProtocol.FetchSystemMetadata.Builder setTable(String value)
`string table = 3;`

Parameters:
  `value` - The table to set.
Returns:
  This builder for chaining.

### clearTable

public ClientWireProtocol.FetchSystemMetadata.Builder clearTable()
`string table = 3;`

Returns:
  This builder for chaining.

### setTableBytes

public ClientWireProtocol.FetchSystemMetadata.Builder setTableBytes(ByteString value)
`string table = 3;`

Parameters:
  `value` - The bytes for table to set.
Returns:
  This builder for chaining.

### getColumn

public String getColumn()
`string column = 4;`

Specified by:
  `getColumn` in interface `ClientWireProtocol.FetchSystemMetadataOrBuilder`
Returns:
  The column.

### getColumnBytes

public ByteString getColumnBytes()
`string column = 4;`

Specified by:
  `getColumnBytes` in interface `ClientWireProtocol.FetchSystemMetadataOrBuilder`
Returns:
  The bytes for column.

### setColumn

public ClientWireProtocol.FetchSystemMetadata.Builder setColumn(String value)
`string column = 4;`

Parameters:
  `value` - The column to set.
Returns:
  This builder for chaining.

### clearColumn

public ClientWireProtocol.FetchSystemMetadata.Builder clearColumn()
`string column = 4;`

Returns:
  This builder for chaining.

### setColumnBytes

public ClientWireProtocol.FetchSystemMetadata.Builder setColumnBytes(ByteString value)
`string column = 4;`

Parameters:
  `value` - The bytes for column to set.
Returns:
  This builder for chaining.

### getView

public String getView()
`string view = 5;`

Specified by:
  `getView` in interface `ClientWireProtocol.FetchSystemMetadataOrBuilder`
Returns:
  The view.

### getViewBytes

public ByteString getViewBytes()
`string view = 5;`

Specified by:
  `getViewBytes` in interface `ClientWireProtocol.FetchSystemMetadataOrBuilder`
Returns:
  The bytes for view.

### setView

public ClientWireProtocol.FetchSystemMetadata.Builder setView(String value)
`string view = 5;`

Parameters:
  `value` - The view to set.
Returns:
  This builder for chaining.

### clearView

public ClientWireProtocol.FetchSystemMetadata.Builder clearView()
`string view = 5;`

Returns:
  This builder for chaining.

### setViewBytes

public ClientWireProtocol.FetchSystemMetadata.Builder setViewBytes(ByteString value)
`string view = 5;`

Parameters:
  `value` - The bytes for view to set.
Returns:
  This builder for chaining.

### getTest

public boolean getTest()

     whether to test against patterns

`bool test = 6;`

Specified by:
  `getTest` in interface `ClientWireProtocol.FetchSystemMetadataOrBuilder`
Returns:
  The test.

### setTest

public ClientWireProtocol.FetchSystemMetadata.Builder setTest(boolean value)

     whether to test against patterns

`bool test = 6;`

Parameters:
  `value` - The test to set.
Returns:
  This builder for chaining.

### clearTest

public ClientWireProtocol.FetchSystemMetadata.Builder clearTest()

     whether to test against patterns

`bool test = 6;`

Returns:
  This builder for chaining.

### setUnknownFields

public final ClientWireProtocol.FetchSystemMetadata.Builder setUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadata.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.FetchSystemMetadata.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessageV3.Builder<ClientWireProtocol.FetchSystemMetadata.Builder>`